<!DOCTYPE html>
<html>
<head>
  <title>Test Results - CHROME 100.0.4896.60 Mac OS X </title>

  <style>
    html, body {
      font-family: Arial,sans-serif;
      margin: 0;
      padding: 0;
    }

    body { padding: 10px 40px; }

    table { width: 100%; margin-bottom: 20px; }

      td {
        padding: 7px;
        border-top: none;
        border-left: 1px black solid;
        border-bottom: 1px black solid;
        border-right: none;
      }

      td.pass { color: #003b07; background: #86e191; }
      td.skip { color: #7d3a00; background: #ffd24a; }
      td.fail { color: #5e0e00; background: #ff9c8a; }

    tr:last-child       { border-top: 1px black solid; }
      tr:last-child td    { border-top: 1px black solid; }
      tr:first-child td   { border-top: 1px black solid; }
        td:last-child       { border-right: 1px black solid; }

    tr.overview td      { padding-bottom: 0px; border-bottom: none; }
    tr.overview.last td { padding-bottom: 3px; }

    ul.assertions   { list-style-type: none; }
      span.error      { color: #AD2B2B; }
      span.success    { color: #53891E; }

    .stacktrace { display: inline; }
      .stacktrace code { display: none; }

    #nightwatch-logo {
      position: absolute;
      top: 20px;
      right: 33px;
      width: 70px;
      height: 75px;
      background: transparent url('http://nightwatchjs.org/img/logo-nightwatch.png') no-repeat;
      background-size: 70px 75px;
    }
  </style>
</head>

<body>
  <h1>Test Results</h1>

  <table border="0" cellpadding="0" cellspacing="0">
    <tr class="overview">
      <td colspan="3" title="CHROME 100.0.4896.60 Mac OS X "><strong>Browser:</strong> CHROME 100.0.4896.60 Mac OS X </td>
    </tr>
    <tr class="overview">
      <td colspan="3"><strong>Timestamp:</strong> Thu Mar 31 2022 20:45:05 GMT+0200 (Central European Summer Time)</td>
    </tr>
    <tr class="overview last">
      <td colspan="3"><strong>Tests:</strong> 0<br></td>
    </tr>
    <tr>
      <td class="pass"><strong>82</strong> passed</td>
      <td class="skip"><strong>0</strong> errors</td>
      <td class="fail"><strong>1</strong> failures</td>
    </tr>
  </table>

      <h2>Detailansicht_prod</h2>

        <h3>TEST SUITE:Toplist -Production -Detailansicht - NEW!</h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: &#x27;https://www.chip.de/artikel/CHIP-Bestenlisten-Alle-Testsieger-im-ueberblick_12823667.html&#x27; opened sucessfully


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body&gt; was visible after 85 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 42 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>4</strong></span> assertions passed. (18.64s)
        </p>
        <h3>Checking &quot;Detailansicht tab&quot; in &quot;Handys &amp; Smartphones&quot; toplist</h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt; was present after 41 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt;[0m is visible [0;90m(82ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt;[0m contains text [0;33m&#x27;Handys &amp; Smartphones&#x27;[0m [0;90m(83ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Click on &#x27;Handys &amp; Smartphones&#x27;


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 38 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[6]/div[2]/a/div&gt; was present after 59 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[6]/div[2]/a/div&gt;[0m is visible [0;90m(87ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Click on Detailansicht to see if the products appear with this sortieren selection


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 37 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="error">&#10006;</span>

              Timed out while waiting for element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[6]/div[1]&gt; to be present for 5000 milliseconds. - expected [0;32m&quot;found&quot;[0m but got: [0;31m&quot;not found&quot;[0m [0;90m(5073ms)[0m

                Expected &quot;found&quot; but got: &quot;not found&quot;

            </li>
        </ul>

        <p>
            <span class="error"><strong>FAILED:</strong></span>
            <span class="error"><strong>1</strong></span> assertions failed and
            <span class="success"><strong>11</span></strong> passed. (43.98s)
        </p>
        <h3>Check product#1 in Detailansich tab </h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[2]/div[1]/div&gt; was present after 52 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[2]/div[1]/div&gt;[0m is visible [0;90m(82ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - number


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;//html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/span[1]/b&gt; was present after 49 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;//html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/span[1]/b&gt;[0m is visible [0;90m(85ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - name


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/div/img&gt; was present after 47 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/div/img&gt;[0m is visible [0;90m(81ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - image


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/span[2]/span[2]&gt; was present after 46 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[3]/span[2]/span[2]&gt;[0m is visible [0;90m(90ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - Preis


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[4]/div/a&gt; was present after 48 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[4]/div/a&gt;[0m is visible [0;90m(90ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[4]/div/a&gt;[0m contains text [0;33m&#x27;ZUM SHOP&#x27;[0m [0;90m(90ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - ZUM SHOP


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[4]/div/div&gt; was present after 48 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[2]/div[4]/div/div&gt;[0m is visible [0;90m(86ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - Clickout text


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[2]/div/a/span&gt; was present after 49 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[2]/div/a/span&gt;[0m is visible [0;90m(84ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[2]/div/a/span&gt;[0m contains text [0;33m&#x27;Testbericht&#x27;[0m [0;90m(83ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: testbericht url is good


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - Testbericht


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 102 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[2]/div/span/a&gt; was present after 46 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[2]/div/span/a&gt;[0m is visible [0;90m(86ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[2]/div/span/a&gt;[0m contains text [0;33m&#x27;Preisvergleich&#x27;[0m [0;90m(89ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - Preisvergleich. Sometimes there is not Zum Preisvergleich


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Zum Preisvergleich  url is good


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[2]/div/a/b&gt; was present after 57 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[2]/div/a/b&gt;[0m is visible [0;90m(95ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#1 - grade


            </li>
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>34</strong></span> assertions passed. (55.43s)
        </p>
        <h3>Check product#2 in Detailansich tab </h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[1]/div&gt; was present after 52 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[1]/div&gt;[0m is visible [0;90m(89ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - number


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/span[1]/b&gt; was present after 73 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/span[1]/b&gt;[0m is visible [0;90m(84ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - name


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/div/img&gt; was present after 51 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/div/img&gt;[0m is visible [0;90m(88ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - image


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/span[2]/span[2]&gt; was present after 50 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[3]/span[2]/span[2]&gt;[0m is visible [0;90m(88ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - Preis


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[4]/div/a&gt; was present after 50 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[4]/div/a&gt;[0m is visible [0;90m(94ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[4]/div/a&gt;[0m contains text [0;33m&#x27;ZUM SHOP&#x27;[0m [0;90m(95ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - ZUM SHOP


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[4]/div/div&gt; was present after 51 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[1]/div[3]/div[4]/div/div&gt;[0m is visible [0;90m(89ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - Clickout text


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[3]/div/a/span&gt; was present after 53 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[3]/div/a/span&gt;[0m is visible [0;90m(97ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[3]/div/a/span&gt;[0m contains text [0;33m&#x27;Testbericht&#x27;[0m [0;90m(95ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - Testbericht


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: testbericht url is good


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 49 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[3]/div/span/a&gt; was present after 51 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[3]/div[3]/div/span/a&gt;[0m is visible [0;90m(84ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check product#2 - Preisvergleich. Sometimes there is not Zum Preisvergleich


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Zum Preisvergleich  url is good


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[3]/div/a/b&gt; was present after 58 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[3]/div/a/b&gt;[0m is visible [0;90m(90ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Product#2 - grade


            </li>
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>33</strong></span> assertions passed. (53.14s)
        </p>


      <hr>

  <div id="nightwatch-logo"></div>

  <script src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
  <script>
  $(function() {
    $('div.stacktrace').on('click', 'a', function(evt) {
      evt.preventDefault();

      var $link = $(this);
      var $code = $link.parent().find('code');

      $code.is(':visible') ? $link.text('hide stacktrace'):
                             $link.text('view stacktrace');

      $code.toggle();
    });
  });
  </script>
</body>
</html>